@echo off
:: T6 MP Startup Script
:: Features Auto-Restart upon server window closed.
:: By Chase (https://ChaseHall.net)
:: <3 BO2 Community.


:: Your Game Server Port.
:: Make sure you Port Forward both TCP & UDP.
set GamePort=28964


:: Your server.cfg file in t6r/data.
:: This is where you edit your configs for your server(s)
set ServerFilename=server_mp.cfg


:: Name of Server
:: (Used to title auto-restart cmd window)
:: **THIS IS NOT YOUR NAME THAT THE SERVER WILL SHOW IN THE SERVER LIST. SEE YOUR SERVER CFG FOR THAT. **
set name=T6 MP Server


:: If you wish to disable auto-restart, please comment everything out between BEGIN AUTO-RESTART and END AUTO-RESTART, then uncomment the NON-AUTO-RESTART. 
:: BEGIN AUTO-RESTART
title %name% - Server Restarter
echo Server "%name%" will load %ServerFilename% and listen on port %GamePort% TCP/UDP!
echo To shut down the server, close this window first!
echo (%date%)  -  (%time%) %name% server start.
:server
start /wait /abovenormal t6rmp.exe -dedicated +sv_config %ServerFilename% +net_port %GamePort%
echo (%date%)  -  (%time%) WARNING: %name% server closed or dropped... server restarts.
goto server
:: END AUTO-RESTART


:: BEGIN NON-AUTO-RESTART
::start t6rmp.exe -dedicated +sv_config %ServerFilename% +net_port %GamePort%
::exit
:: END-AUTO-RESTART